CopyHero

Get Overview

GET
/api/v1/analytics/overview

Get high-level dashboard metrics for the user's accessible stores.

Returns aggregated totals including:

  • batch_count: Number of distinct batches (workflow start actions)
  • task_count: Number of tasks created
  • jobs_count: Number of jobs (filtered by state if provided)
  • stores_active: Number of stores with activity in the period

Access Control:

  • Regular users: See only their owned or employed stores
  • Superusers in a browser session: see all stores (API keys and MCP never act as superuser)

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

start_date?|

Start of time range (inclusive). Defaults to 30 days ago.

end_date?|

End of time range (inclusive). Defaults to now.

store_id?|

Filter to a specific store

state?|

Filter jobs_count by state (pending, running, finished, error, cancelled)

Response Body

Successful Response

application/json
  1. response

Response schema for GET /analytics/overview endpoint.

period*

The time period for the analytics

totals*

Aggregated counts

stores_active*Stores Active

Number of stores with activity in the period

Range0 <= value
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/analytics/overview'
Example Response
{  "period": {    "start": "2019-08-24T14:15:22Z",    "end": "2019-08-24T14:15:22Z"  },  "totals": {    "batch_count": 0,    "task_count": 0,    "jobs_count": 0  },  "stores_active": 0}